﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace Songhay.Wpf.BiggestBox.IndexPart.Views.UserControls
{
    using Extensions;
    using Songhay.Mvvm.Extensions;

    /// <summary>
    /// Validation Sample Control
    /// </summary>
    public partial class ValidationSample : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ValidationSample"/> class.
        /// </summary>
        public ValidationSample()
        {
            InitializeComponent();

            this.Validate.Click += (s, args) =>
            {
                this.FormFields.Children
                    .OfType<StackPanel>()
                    .First().Children
                    .OfType<ComboBox>()
                    .ForEachInEnumerable(
                        cb =>
                        {
                            var dependencyProperty = ComboBox.SelectedItemProperty;
                            var frameworkElement = cb as FrameworkElement;
                            frameworkElement.DoValidation(dependencyProperty);
                        });

                this.FormFields.Children
                    .OfType<TextBox>()
                    .ForEachInEnumerable(
                        tb =>
                        {
                            var dependencyProperty = TextBox.TextProperty;
                            var frameworkElement = tb as FrameworkElement;
                            frameworkElement.DoValidation(dependencyProperty);
                        });
            };
        }
    }
}
