﻿using System.Reflection;

namespace Songhay.Wpf.BiggestBox.ViewModels
{
    using Songhay.Models;
    using Songhay.Wpf.Mvvm.ViewModels;

    /// <summary>
    /// Display data for the Footer.
    /// </summary>
    public class FooterViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="FooterViewModel"/> class.
        /// </summary>
        public FooterViewModel()
        {
            var info = new FrameworkAssemblyInfo(Assembly.GetExecutingAssembly());

            string s = string.Format("{0}, {1} Version: {2}, {3}",
                info.AssemblyCompany,
                info.AssemblyTitle,
                info.AssemblyVersion,
                info.AssemblyVersionDetail);

            this.AssemblyInformationDisplayLine = s;
        }

        /// <summary>
        /// Gets or sets the assembly information display line.
        /// </summary>
        /// <value>The assembly information display line.</value>
        public string AssemblyInformationDisplayLine { get; set; }
    }
}
