﻿using System.Windows;
using GalaSoft.MvvmLight.Messaging;

namespace Songhay.Wpf.BiggestBox.Views
{
    using System.Windows.Controls;
    using Songhay.Mvvm.Models;

    /// <summary>
    /// The Client Window
    /// </summary>
    public partial class ClientView : Window
    {
        /// <summary>
        /// Initializes a new instance
        /// of the <see cref="ClientView"/> class.
        /// </summary>
        public ClientView()
        {
            this.InitializeComponent();

            this.IndexFrame.Loaded += (s, args) =>
            {
                var message = new LightMessage<ClientView>(this)
                {
                    Source = LightMessageSource.ViewEventLoaded,
                    ViewId = "ClientView"
                };

                Messenger.Default.Send(message);
            };

            #region Navigation eventing:

            this.IndexFrame.Navigated += (s, args) =>
            {
                this._isNavigating = false;
            };

            this.IndexFrame.Navigating += (s, args) =>
            {
                this._isNavigating = true;
            };

            this.IndexFrame.NavigationFailed += (s, args) =>
            {
                this._isNavigating = false;
                throw args.Exception;
            };

            #endregion

        }

        //TODO: consider making these members an interface, INavigationFrame.
        internal bool IsNavigating
        {
            get { return this._isNavigating; }
        }

        internal Frame NavigationFrame
        {
            get { return this.IndexFrame; }
        }

        bool _isNavigating;
    }
}
