﻿
namespace Songhay.Composition
{
    /// <summary>
    /// Defines the Composition Messaging
    /// for the Composition Host.
    /// </summary>
    /// <remarks>
    /// The Composition Host will use this interface
    /// to send part-scope messages
    /// and register part-scope message receivers.
    /// </remarks>
    public interface ICompositionMessaging
    {
        /// <summary>
        /// Registers Composition message receivers.
        /// </summary>
        void RegisterMessageReceivers();

        /// <summary>
        /// Sends Composition messages.
        /// </summary>
        void SendCompositionMessages();
    }
}
