﻿using GalaSoft.MvvmLight.Messaging;

namespace Songhay.Models
{
    /// <summary>
    /// Defines a message sent from a Client.
    /// </summary>
    /// <typeparam name="TClient">The Client type.</typeparam>
    public class ClientMessage<TClient> : MessageBase
    {
        /// <summary>
        /// Gets or sets the Client View.
        /// </summary>
        /// <value>The Client View.</value>
        public TClient ClientView { get; set; }

        /// <summary>
        /// Gets or sets the display text.
        /// </summary>
        /// <value>The display text.</value>
        public string DisplayText { get; set; }

        /// <summary>
        /// Gets or sets for client event.
        /// </summary>
        /// <value>For client event.</value>
        public ClientEvent ForClientEvent { get; set; }
    }
}
