﻿using System.Windows.Controls;

namespace Songhay.Wpf.Mvvm.Models
{
    using Songhay.Models;

    /// <summary>
    /// Extends <see cref="IControlInteractionMessage"/>
    /// with a View specfied by the Application.
    /// </summary>
    /// <typeparam name="TView">The type of the view.</typeparam>
    public interface IControlInteractionMessage<TView> : IControlInteractionMessage where TView : Control
    {
        /// <summary>
        /// Gets or sets the specified view.
        /// </summary>
        /// <value>The specified view.</value>
        TView SpecifiedView { get; set; }
    }
}
