﻿
namespace Songhay.Mvvm.Models
{
    /// <summary>
    /// Enumerates the sources of MVVM Light messages.
    /// </summary>
    public enum LightMessageSource
    {
        /// <summary>
        /// message source
        /// </summary>
        Unspecified,

        /// <summary>
        /// message source
        /// </summary>
        ApplicationComposed,

        /// <summary>
        /// message source
        /// </summary>
        ApplicationCore,

        /// <summary>
        /// message source
        /// </summary>
        ApplicationRecomposed,

        /// <summary>
        /// message source
        /// </summary>
        CompositionHost,

        /// <summary>
        /// message source
        /// </summary>
        CompositionMessagingCore,

        /// <summary>
        /// message source
        /// </summary>
        Model,

        /// <summary>
        /// message source
        /// </summary>
        View,

        /// <summary>
        /// message source
        /// </summary>
        ViewAddedChildren,

        /// <summary>
        /// message source
        /// </summary>
        ViewEventBindingValidationError,

        /// <summary>
        /// message source
        /// </summary>
        ViewEventClosing,

        /// <summary>
        /// message source
        /// </summary>
        ViewEventLoaded,

        /// <summary>
        /// message source
        /// </summary>
        ViewEventUnloaded,

        /// <summary>
        /// message source
        /// </summary>
        ViewEventUpdated,

        /// <summary>
        /// message source
        /// </summary>
        ViewModel,

        /// <summary>
        /// message source
        /// </summary>
        ViewModelLocator,

        /// <summary>
        /// message source
        /// </summary>
        ViewNavigatedFrom,

        /// <summary>
        /// message source
        /// </summary>
        ViewNavigatedTo,

        /// <summary>
        /// message source
        /// </summary>
        ViewNavigating,

        /// <summary>
        /// message source
        /// </summary>
        ViewNavigationFailed
    }
}
