﻿using System;
using GalaSoft.MvvmLight.Messaging;

namespace Songhay.Models
{
    /// <summary>
    /// Defines a message for navigating in a Frame.
    /// </summary>
    public class NavigationMessage : MessageBase
    {
        /// <summary>
        /// Gets or sets the view data.
        /// </summary>
        /// <value>The view data.</value>
        public object ViewData { get; set; }

        /// <summary>
        /// Gets or sets the view object.
        /// </summary>
        /// <value>The view object.</value>
        public object ViewObject { get; set; }

        /// <summary>
        /// Gets or sets the resource.
        /// </summary>
        /// <value>The resource.</value>
        public Uri ViewResource { get; set; }
    }
}
